package com.m2pool.pool.service.impl;

import com.m2pool.common.core.Result.R;
import com.m2pool.common.core.utils.file.FileUtils;
import com.m2pool.pool.service.FileService;
import com.m2pool.pool.service.ISysFileService;
import com.m2pool.system.api.entity.SysFile;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

/**
 * 本地文件存储
 *
 * @author jxy
 */
@Service
public class FileServiceImpl implements FileService
{

    @Autowired
    private ISysFileService sysFileService;

    @Override
    public R<SysFile> uploadFile(MultipartFile file){
        try
        {
            // 上传并返回访问地址
            String url = sysFileService.uploadFile(file);
            SysFile sysFile = new SysFile();
            sysFile.setName(FileUtils.getName(url));
            sysFile.setUrl(url);
            return R.success(sysFile);
        }
        catch (Exception e)
        {
            return R.fail(e.getMessage());
        }
    }

    //@Override
    //public R<SysFile> uploadToolsFile(MultipartFile file, String fileName){
    //    try
    //    {
    //        // 上传并返回访问地址
    //        String url = sysFileService.uploadToolsFile(file,fileName);
    //        SysFile sysFile = new SysFile();
    //        sysFile.setName(FileUtils.getName(url));
    //        sysFile.setUrl(url);
    //
    //        System.out.println("工具类上传 构造的文件数据："+sysFile);
    //        return R.success(sysFile);
    //    }
    //    catch (Exception e)
    //    {
    //        return R.fail(e.getMessage());
    //    }
    //}



}
